
QGIS Application - Bug report #18445

Application hangs indefinitey when closing project with GeoPakages shared on network drive. 

Cannot kill process. Requires shutdown/restart.

2018-03-14 11:39 PM - Graham Duls

Status: Closed

Priority: High

Assignee:

Category: Data Provider

Affected QGIS version:3.0.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 26333

Description

For a few years we have had one computer keep a QGIS project and related layer files in a folder on a network directory and we all open

that project. After upgrading to QGIS3 someone re-saved many layers as GeoPackages (they were formerly zipped shapefiles).  After

having the project open for a while (and it is running just fine, by the way) when attempting to close the application, QGIS become

non-responsive and it cannot be closed by the task manager (I also tried a couple 3rd party apps such as TaskKiller). The computer must

be shut down or restarted. Re-opening the project reveals one (or more) GeoPackage layers are invalid and they cannot be deleted

unless another project is loaded into QGIS. Note that all layers in the project are set to read-only and no editing is ever done. Saving is

done if styles are changed.

The host computer is Windows10 64bit - satellites are: Another Windows10 64bit, a Windows10 32bit, and a Windows7 (can't remember,

I think 32bit.) Note that the Windows7 computer never has this problem and QGIS closes just fine for that machine (so far).

History

#1 - 2018-11-08 01:31 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#2 - 2018-12-03 05:00 AM - Graham Duls

I will try to reproduce the conditions that caused this issue. Please give me time, as we are not fans of corrupted data, or locked computers. We have

moved on to different, more stable, methods, but I can attempt to reproduce this problem and will post here.

#3 - 2018-12-05 05:27 PM - Giovanni Manghi

Graham Duls wrote:

I will try to reproduce the conditions that caused this issue. Please give me time, as we are not fans of corrupted data, or locked computers. We

have moved on to different, more stable, methods, but I can attempt to reproduce this problem and will post here.

at some point without feedback this will be closed, if the issue is confirmed you will be able to reopen it if necessary.

#4 - 2018-12-05 11:58 PM - Graham Duls
I am unable to reproduce the issue. Feel free to close this.

#5 - 2018-12-06 09:48 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed
